Get CA information

Prev Next

Available in VPC

Get the certificate authority (CA) details of a blockchain network.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId}/cas/{caId} (Korea Region)
GET /api/sgn-v1/networks/{networkId}/cas/{caId} (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID
caId String Required CA ID

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/cas/{caId}' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Object - CA details
content.networkId Long - Network ID
content.caId String - CA ID
content.caName String - CA name
content.adminId String - Admin CA name
content.databaseTypeCodeName String - CA's state database type
  • Only SQLITE can be queried
content.endpointAddr String - CA URL address
content.caResourceCpu Float - CPU capacity allocated to CA pod (unit: core)
content.caResourceMem Integer - Memory capacity allocated to CA pod (unit: MB)
content.caResourceStorage Integer - Storage capacity allocated to CA pod (unit: MiB)
content.status String - CA status
  • ACTIVE | DEPLOY | DELETE
    • ACTIVE: running
    • DEPLOY: deploying
    • DELETE: deleting
content.nodeAffinityLabel String - Label name of the Ncloud Kubernetes Service cluster nodepool where the CA node is deployed
content.createDate LocalDateTime - CA creation date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format
content.podStatus String - Lifecycle stages of CA pods
  • Running | Pending | Failed | Unknown
    • Running: running
    • Pending: pending
    • Failed: operation failure
    • Unknown: unable to check status

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": {
        "networkId": 1630,
        "caId": "25728700",
        "caName": "test-ca",
        "adminId": "******-ca",
        "databaseTypeCodeName": "SQLITE",
        "endpointAddr": "test-ca-******-***-ca.bc-gryy4rew.kr.blockchain.naverncp.com",
        "caResourceCpu": 0.1,
        "caResourceMem": 200,
        "caResourceStorage": 20,
        "status": "ACTIVE",
        "nodeAffinityLabel": "ncloud.com/nks-nodepool=test",
        "createDate": "2024-07-29T07:30:59+0000",
        "podStatus": "Running"
    }
}